---
title: "Simulate a Card Transaction Authorization Reversal - Non-EEA"
source_url: https://docs.rapyd.net/en/simulate-a-card-transaction-authorization-reversal---non-eea.html
lang: en
---

# Simulate a Card Transaction Authorization Reversal - Non-EEA

Simulate a retail location’s reversal of a card authorization.

The retail location where a card was used for a purchase can send a reversal through the card network to cancel a previous authorization request. This can occur when the transaction is not completed within the time required by the card issuer. When Rapyd receives a request for reversal from the card network, it reverses the transaction and sends you a webhook. Use this method in the sandbox.

This method triggers [Card Issuing Reversal Webhook](https://docs.rapyd.net/en/card-issuing-reversal-webhook.md "Card Issuing Reversal Webhook"). This webhook contains the same information as the response.

This method applies to cards issued outside the European Economic Area (EEA). For cards issued in the EEA, see [Simulate a Card Transaction Authorization Reversal - EEA](https://docs.rapyd.net/en/simulate-a-card-transaction-authorization-reversal---eea.md "Simulate a Card Transaction Authorization Reversal - EEA").

**Prerequisites:**

- [Issue Card](https://docs.rapyd.net/en/issue-card.md "Issue Card")
- [Activate Issued Card Using API](https://docs.rapyd.net/en/activate-issued-card-using-api.md "Activate Issued Card Using API")
- [Simulate a Card Transaction Authorization Request - Non-EEA](https://docs.rapyd.net/en/simulate-a-card-transaction-authorization-request---non-eea.md "Simulate a Card Transaction Authorization Request - Non-EEA")

### Parameters

### Request Body Parameters

- - auth_code
  - Authorization code provided by client. See results example in [Simulate a Card Transaction Authorization Request - Non-EEA](https://docs.rapyd.net/en/simulate-a-card-transaction-authorization-request---non-eea.md "Simulate a Card Transaction Authorization Request - Non-EEA").
- - amount
  - The amount of the authorization, in units of the currency defined in `currency`. Decimal.
- - card_id
  - ID of the card. String starting with **card_**.
- - currency
  - Defines the currency for the transaction. Three-letter ISO 4217 code.
- - retrieval_reference_number
  - Reference number for the card transaction.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - idempotency
  - A unique key that prevents the platform from creating the same object twice.

    See [Idempotency](https://docs.rapyd.net/en/idempotency.md "Idempotency").
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - amount
  - Amount of the refund, in units defined in `currency`.
- - bin
  - Bank Identifier Number (BIN) for the card. The first 6 digits of the card number.
- - card_id
  - ID of the card. String starting with **card_**.
- - card_program_id
  - ID of the card program. String starting with **cardprog_**.
- - created_at
  - Time of creation of the transaction, in Unix time.
- - currency
  - Currency of the refund transaction. Three-letter ISO 4217 code.
- - fx_rate
  - The exchange rate. Relevant to capture (clearing) transactions.
- - id
  - ID of the issued card transaction. String starting with **cit_**.
- - issuing_txn_type
  - Type of transaction on the issued card. One of the following:

    - **ADJUSTMENT**
    - **ATM_FEE**
    - **CREDIT**
    - **REFUND**
    - **REVERSAL**
    - **SALE**
- - last4
  - Last 4 digits of the card number.
- - merchant_category_code
  - Four-digit merchant category code (MCC) of the initiator of the transaction, as defined in [ISO 18245](https://www.iso.org/standard/33365.html).
- - merchant_name_location
  - Name and location of the merchant.

    TEST MERCHANT
- - original_transaction_id
  - ID of the original issued card transaction. String starting with **cit_**.
- - original_txn_amount
  - Original amount for FX transactions, when 'currency' is different from 'original_txn_currency'.
- - original_txn_currency
  - Original currency in an FX transaction.
- - pos_entry_mode
  - The mode of entry of the transaction at the point of sale. One of the following values:

    - **adjustment**
    - **ecommerce**
    - **emv**
    - **emv_standin**
    - **magstripe**
    - **manual_entered**
    - **network_token**
    - **nfc**
    - **3ds_ecommerce**
- - retrieval_reference_number
  - Retrieval reference number for the card transaction.
- - systems_trace_audit_number
  - Reserved.
- - wallet_transaction_id
  - ID of the wallet transaction String starting with **wt_**.

- /v1/issuing/cards/reversal

- Card Transaction Authorization Reversal
- ```curl
  curl -X post
  https://sandboxapi.rapyd.net/v1/issuing/cards/reversal
  -H 'access_key: your-access-key-here'
  -H 'Content-Type: application/json'
  -H 'idempotency: your-idempotency-parameter-here'
  -H 'salt: your-random-string-here'
  -H 'signature: your-calculated-signature-here'
  -H 'timestamp: your-unix-timestamp-here'
  -d '{
      "card_id": "card_ed9fddc7e809b711c938cc65ffb4cc58",
      "amount": 5,
      "currency": "USD",
      "retrieval_reference_number": "2E4AE4C46E19",
      "auth_code": "3A53EY"
  }
  '
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "6aa2475a-847d-4ab3-b369-91c539658464"
      },
      "data": {
          "id": "cit_f6fd138680302d10bda8d83ee288b72f",
          "amount": 5,
          "currency": "USD",
          "created_at": 1683099905,
          "card_id": "card_ed9fddc7e809b711c938cc65ffb4cc58",
          "merchant_category_code": "",
          "merchant_name_location": "",
          "auth_code": "3A53EY",
          "bin": "557433",
          "last4": "7654",
          "issuing_txn_type": "REVERSAL",
          "pos_entry_mode": "",
          "systems_trace_audit_number": "",
          "retrieval_reference_number": "2E4AE4C46E19",
          "original_transaction_id": "cit_bfebf42294f984e69183acff99a14cc5",
          "original_txn_amount": null,
          "original_txn_currency": "",
          "fx_rate": 1,
          "card_program_id": "cardprog_b027c85a66ebebb2e094bca626d5ae97",
          "wallet_transaction_id": "wt_c78f11aa6812fcaa4b84fc5f1ae220c9"
      }
  }
  ```
